import argparse

_parser = argparse.ArgumentParser(
  prog="bookeeper",
  description="CLI app for bookkeeping",
  epilog="developed by falsycat <me@falsy.cat>",
)

_parser.add_argument(
  "dbpath",
  help="path to sqlite database file",
  nargs="?",
  default=":memory:",
)

_parser.add_argument(
  "-p", "--permanentize",
  help="apply changes",
  action="store_true",
  dest="permanentize",
)

_parser.add_argument(
  "-bs", "--balancesheet",
  help="emit balancesheet",
  action="store",
  dest="balancesheet",
)
_parser.add_argument(
  "-bt", "--balance-transition",
  help="emit daily transition of balance",
  action="store",
  dest="balancetransition",
)
_parser.add_argument(
  "-pl", "--pl-statement",
  help="emit P/L statement (filepath, begin, end)",
  action="store",
  nargs="+",
  dest="plstatement",
)
_parser.add_argument(
  "-plt", "--pl-transition",
  help="emit transition of P/L",
  action="store",
  nargs="+",
  dest="pltransition",
)

def print_help():
  _parser.print_help()

def parse(args):
  ret = _parser.parse_args(args)
  return ret
